Skip to content

Metrics

All operations require authentication.

3 operationsv1/ipLoadbalancing/{serviceName}
Agent setup

Get the metrics token and endpointProduction

GET
/1.0/ipLoadbalancing/{serviceName}/metricsToken

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200MetricsTokensuccessful operation
endpoint
string

The metrics endpoint

token
stringpassword

The metrics token

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/metricsToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "endpoint": "string", "token": "string"}

Get the global statusProduction

GET
/1.0/ipLoadbalancing/{serviceName}/status

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200Statussuccessful operation
farms
Component

The Load Balancer farms status informations

frontends
Component

The Load Balancer frontends status informations

servers
Component

The Load Balancer servers status informations

service
Service

The Load Balancer service status informations

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/status \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "farms": { "status": { "error": 0, "ok": 0, "unknown": 0, "warn": 0 }, "total": 0 }, "frontends": { "status": { "error": 0, "ok": 0, "unknown": 0, "warn": 0 }, "total": 0 }, "servers": { "status": { "error": 0, "ok": 0, "unknown": 0, "warn": 0 }, "total": 0 }, "service": { "status": "error" }}

Get the effective state of instancesDeprecated

GET
/1.0/ipLoadbalancing/{serviceName}/instancesState

Deprecated since Sep 16, 2018, will be removed on Oct 16, 2018.

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200InstancesState[]successful operation
internalId
integer

Internal ID of this IPLB instance

lastUpdateDate
stringdate-time

Last update date

state
string

Current state of this IPLB instance

zone
string

zone of this IPLB instance

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/instancesState \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "internalId": 0, "lastUpdateDate": "2024-01-01T12:00:00Z", "state": "string", "zone": "string" }]